Apache JMeter

## org.apache.jmeter.protocol.http.control
Class HttpMirrorThread

    java.lang.Object
      java.lang.Thread
          org.apache.jmeter.protocol.http.control.HttpMirrorThread

All Implemented Interfaces:
  Runnable

public class HttpMirrorThread
extends Thread

Thread to handle one client request. Gets the request from the client and sends the response back to the client.

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`HttpMirrorThread(Socket _clientSocket)`

Method Summary
`void` `run()` Main processing method for the HttpMirror object

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpMirrorThread

    public HttpMirrorThread(Socket _clientSocket)

Method Detail

### run

    public void run()

  Main processing method for the HttpMirror object

Apache JMeter

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.